opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | Protected Attributes | List of all members
cv::WImageView< T > Class Template Reference

`#include <wimage.hpp>`

Inheritance diagram for cv::WImageView< T >:

## Public Types
typedef WImage< T >::BaseType | BaseType
Public Types inherited from cv::WImage< T >
typedef T | BaseType

## Public Member Functions
WImageView & | operator= (const WImage< T > &img)
| WImageView (WImage< T > *img, int c, int r, int width, int height)
| WImageView (T *data, int width, int height, int channels, int width_step=-1)
| WImageView (IplImage *img)
| WImageView (const WImage< T > &img)
Public Member Functions inherited from cv::WImage< T >
int | Channels () const
int | ChannelSize () const
void | CopyFrom (const WImage< T > &src)
int | Depth () const
int | Height () const
T * | ImageData ()
const T * | ImageData () const
IplImage * | Ipl ()
const IplImage * | Ipl () const
T * | operator() (int c, int r)
const T * | operator() (int c, int r) const
int | PixelSize () const
const T * | Row (int r) const
T * | Row (int r)
void | SetZero ()
WImageView< T > | View (int c, int r, int width, int height)
int | Width () const
int | WidthStep () const
virtual | ~WImage ()=0

## Protected Attributes
IplImage | header_
Protected Attributes inherited from cv::WImage< T >
IplImage * | image_

## Additional Inherited Members
Protected Member Functions inherited from cv::WImage< T >
void | operator= (const WImage &)
void | SetIpl (IplImage *image)
| WImage (const WImage &)
| WImage (IplImage *img)

## Member Typedef Documentation

template<typename T>

typedef WImage<T>::BaseType cv::WImageView< T >::BaseType

## Constructor & Destructor Documentation

template<typename T >

WImageView< T >::WImageView | ( | WImage< T > * | img,
|  | int | c,
|  | int | r,
|  | int | width,
|  | int | height
| ) |  |

template<typename T >

WImageView< T >::WImageView | ( | T * | data,
|  | int | width,
|  | int | height,
|  | int | channels,
|  | int | width_step = `-1`
| ) |  |

template<typename T>

cv::WImageView< T >::WImageView | ( | IplImage * | img | ) |
| inline

template<typename T>

cv::WImageView< T >::WImageView | ( | const WImage< T > & | img | ) |
| inline

## Member Function Documentation

template<typename T>

WImageView& cv::WImageView< T >::operator= | ( | const WImage< T > & | img | ) |
| inline

## Member Data Documentation

template<typename T>

IplImage cv::WImageView< T >::header_
| protected

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/wimage.hpp